<template>
  <Layout>
    <div class="card">
      <h2>About</h2>
      I'm trying to learn myanmar vocabulary and there are a lot of different
      transliteration styles for converting myanmar words used. For ease of
      learning i searched for a script to standardize conversion from myanmar to
      latin pronounciation for myself. The best one i found was
      <a href="https://github.com/myanmaropenwordnet/mya2rom"
        >myanmaropenwordnet / mya2rom</a
      >
      but it does not support stacked characters and myanmar numbers.<br />
      Since i haven't found a script that can transliterate stacked characters
      and sandhi changes i'm beginning this script which may be helpful for more
      people.<br />
      The script is still in its infancy state but has progressed enough and is
      beginning to be useful.<br />
      So now i am making this public.<br />
    </div>
    <div class="card">
      <h2>Used resources</h2>
      <p>
        Since there is no need for a webpage with backend interactions i decided
        to try out a static site generator.<br />
        For ease of programming the website is build with Gridsome and
        TailwindCSS. The code is hosted on gitlab and served over netlify.
      </p>
      <h3>Website:</h3>
      <ul>
        <li><a href="https://gridsome.org">Gridsome</a></li>
        <li><a href="https://tailwindcss.com/">Tailwind CSS</a></li>
        <li><a href="https://ktquez.github.io/vue-disqus">Vue Disqus</a></li>
        <li>
          <a href="https://gridsome.org/plugins/klaro-gridsome"
            >Klaro gridsome Consent manager</a
          >
        </li>
        <li><a href="https://analytics.google.com">Google Analytics</a></li>
        <li><a href="https://lodash.com/">lodash</a></li>
        <li><a href="https://gitlab.com">Gitlab</a></li>
        <li><a href="https://www.netlify.com/">netlify</a></li>
      </ul>
      <br />
      <h3>Transliteration script</h3>
      <ul>
        <li>
          <a href="https://github.com/dzcpy/transliteration">
            dzcpy / transliteration </a
          >(Non myanmar transliteration)
        </li>
        <li>
          <a href="https://github.com/myanmarlinguistics/myanmar-words/">
            myanmarlinguistics / myanmar-words
          </a>
          (Myanmar nouns, verb, adjective and adverb list)
        </li>
        <li><a href="https://www.cypress.io/">cypress.io</a></li>
      </ul>
    </div>
    <div class="card" id="privacy">
      <h1>Privacy</h1>
      <!--<template v-if="cookie_consent"
        ><template v-if="cookie_googleAnalytics"
          >googleAnalytics</template
        >-->
      <button @click="updateKlaroCookie">change site cookies</button> (Cookies
      are set to expire after {{ cookeExpirationDate }} days)
      <!--</template
      >-->
      <p>
        To get to know if the page is interesting for other people i am
        including Google Analytics. Google Analytics is using a cookie to
        identify repeated viewers. <br />
        If you generally don't like to be snooped by google you can globally
        deactivate Google Analytics in your browser by using a browser addon.
        <a href="https://tools.google.com/dlpage/gaoptout"
          >Google Analytics opt out addon</a
        >
        <br />
        If website settings are allowed these will be saved into the
        localStorage of your currently using browser. For example the default
        preselection of the transliteration type will keep the userselected
        value during page reloads.<br /><br />
        Following is a standard Privacy Policy generated from
        www.privacypolicyonline.com.
      </p>
      <h1>Privacy Policy for MyanmarToLatin</h1>

      <p>
        At MyanmarToLatin, accessible from MyanmarToLatin.netlify.com, one of
        our main priorities is the privacy of our visitors. This Privacy Policy
        document contains types of information that is collected and recorded by
        MyanmarToLatin and how we use it.
      </p>

      <p>
        If you have additional questions or require more information about our
        Privacy Policy, do not hesitate to contact us.
      </p>

      <h2>Log Files</h2>

      <p>
        MyanmarToLatin follows a standard procedure of using log files. These
        files log visitors when they visit websites. All hosting companies do
        this and a part of hosting services' analytics. The information
        collected by log files include internet protocol (IP) addresses, browser
        type, Internet Service Provider (ISP), date and time stamp,
        referring/exit pages, and possibly the number of clicks. These are not
        linked to any information that is personally identifiable. The purpose
        of the information is for analyzing trends, administering the site,
        tracking users' movement on the website, and gathering demographic
        information. Our Privacy Policy was created with the help of the
        <a href="https://www.privacypolicyonline.com/privacy-policy-generator/"
          >Privacy Policy Generator</a
        >
        and the
        <a href="https://www.generateprivacypolicy.com"
          >Privacy Policy Generator</a
        >.
      </p>

      <h2>Cookies and Web Beacons</h2>

      <p>
        Like any other website, MyanmarToLatin uses 'cookies'. These cookies are
        used to store information including visitors' preferences, and the pages
        on the website that the visitor accessed or visited. The information is
        used to optimize the users' experience by customizing our web page
        content based on visitors' browser type and/or other information.
      </p>

      <p>
        For more general information on cookies, please read the "What Are
        Cookies" article on
        <a href="https://www.cookieconsent.com/what-are-cookies/"
          >Cookie Consent website</a
        >.
      </p>
      <h2>Privacy Policies</h2>

      <P
        >You may consult this list to find the Privacy Policy for each of the
        advertising partners of MyanmarToLatin.</P
      >

      <p>
        Third-party ad servers or ad networks uses technologies like cookies,
        JavaScript, or Web Beacons that are used in their respective
        advertisements and links that appear on MyanmarToLatin, which are sent
        directly to users' browser. They automatically receive your IP address
        when this occurs. These technologies are used to measure the
        effectiveness of their advertising campaigns and/or to personalize the
        advertising content that you see on websites that you visit.
      </p>

      <p>
        Note that MyanmarToLatin has no access to or control over these cookies
        that are used by third-party advertisers.
      </p>

      <h2>Third Party Privacy Policies</h2>

      <p>
        MyanmarToLatin's Privacy Policy does not apply to other advertisers or
        websites. Thus, we are advising you to consult the respective Privacy
        Policies of these third-party ad servers for more detailed information.
        It may include their practices and instructions about how to opt-out of
        certain options.
      </p>

      <p>
        You can choose to disable cookies through your individual browser
        options. To know more detailed information about cookie management with
        specific web browsers, it can be found at the browsers' respective
        websites.
      </p>

      <h2>Children's Information</h2>

      <p>
        Another part of our priority is adding protection for children while
        using the internet. We encourage parents and guardians to observe,
        participate in, and/or monitor and guide their online activity.
      </p>

      <p>
        MyanmarToLatin does not knowingly collect any Personal Identifiable
        Information from children under the age of 13. If you think that your
        child provided this kind of information on our website, we strongly
        encourage you to contact us immediately and we will do our best efforts
        to promptly remove such information from our records.
      </p>

      <h2>Online Privacy Policy Only</h2>

      <p>
        This Privacy Policy applies only to our online activities and is valid
        for visitors to our website with regards to the information that they
        shared and/or collect in MyanmarToLatin. This policy is not applicable
        to any information collected offline or via channels other than this
        website.
      </p>

      <h2>Consent</h2>

      <p>
        By using our website, you hereby consent to our Privacy Policy and agree
        to its Terms and Conditions.
      </p>
    </div>
    <div class="card" id="disclaimer">
      <h1>Disclaimer</h1>

      <p>
        If you require any more information or have any questions about our
        site's disclaimer, please feel free to contact us by email at
        Siethu.Zawlwin+MyanmarToLatin@gmail.com
      </p>

      <h2>Disclaimers for MyanmarToLatin</h2>

      <p>
        All the information on this website - MyanmarToLatin.netlify.com - is
        published in good faith and for general information purpose only.
        MyanmarToLatin does not make any warranties about the completeness,
        reliability and accuracy of this information. Any action you take upon
        the information you find on this website (MyanmarToLatin), is strictly
        at your own risk. MyanmarToLatin will not be liable for any losses
        and/or damages in connection with the use of our website. Our Disclaimer
        was generated with the help of the
        <a href="https://www.privacypolicyonline.com/disclaimer-generator/"
          >Disclaimer Generator</a
        >
        and the
        <a href="https://www.generateprivacypolicy.com"
          >Privacy Policy Generator</a
        >.
      </p>

      <p>
        From our website, you can visit other websites by following hyperlinks
        to such external sites. While we strive to provide only quality links to
        useful and ethical websites, we have no control over the content and
        nature of these sites. These links to other websites do not imply a
        recommendation for all the content found on these sites. Site owners and
        content may change without notice and may occur before we have the
        opportunity to remove a link which may have gone 'bad'.
      </p>

      <p>
        Please be also aware that when you leave our website, other sites may
        have different privacy policies and terms which are beyond our control.
        Please be sure to check the Privacy Policies of these sites as well as
        their "Terms of Service" before engaging in any business or uploading
        any information.
      </p>

      <h2>Consent</h2>

      <p>
        By using our website, you hereby consent to our disclaimer and agree to
        its terms.
      </p>

      <h2>Update</h2>

      <p>
        Should we update, amend or make any changes to this document, those
        changes will be prominently posted here.
      </p>
    </div>
    <div class="comments">
      <Disqus />
    </div>
  </Layout>
</template>
<script>
export default {
  metaInfo: {
    title: "About us",
  },
  components: {},
  data() {
    return {
      cookie_consent: false,
      cookeExpirationDate: null,
      cookie_googleAnalytics: false,
      klaroManager: null,
    };
  },
  mounted() {
    this.klaroManager = klaro.getManager();
    // console.log(this.klaroManager);
    const klaroConfig = this.klaroManager["config"];
    // console.log(klaroConfig);
    this.cookeExpirationDate = klaroConfig["cookieExpiresAfterDays"];
    //this.refreshCookieData();
    document.addEventListener("consentUpdate", this.consentToggle);
  },
  beforeDestroy() {
    document.removeEventListener("consentUpdate", this.consentToggle);
  },
  methods: {
    consentToggle(event) {
      console.log("consent updated refresh page to load analytics");
      console.log(event);
      if (event.detail.app === "googleAnalytics") {
        if (event.detail.consent) {
          // if user consent is true
          this.$ga.enable();
        } else {
          // if user consent is false
          this.$ga.disable();
        }
      }

      //updateAppElements(app, consent)
    },
    refreshCookieData() {
      console.log(klaro);
      console.log(this.klaroManager);
      console.log(this.klaroManager.consents);
      console.log(
        "googleAnalytics: " + this.klaroManager.consents["googleAnalytics"]
      );
      console.log("document.cookie state");
      console.log(document.cookie);
      /*   this.cookie_consent = this.getCookie("consent_myanmartolatin");
      console.log(this.cookie_consent);
      this.cookie_googleAnalytics = this.cookie_consent["googleAnalytics"];
      const hasTransliterationType = this.cookie_consent["transliterationType"];
      this.getCookie("consent_myanmartolatin");
      ("_myanmarToLatinSettings");
      console.log(hasTransliterationType);*/
    },
    getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(";");
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == " ") {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    },
    setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + exdays * 24 * 60 * 60 * 1000);
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
      this.refreshCookieData();
    },
    updateKlaroCookie() {
      klaro.show(undefined, false);
    },
    resetKlaroCookie() {
      // console.log(klaro);
      console.log(this);
      // this.setCookie("consents_myanmartolatin", null, 0);
      // const getManager = klaro.getManager();
      //klaro.resetManagers()
      // this.$emit('consentReset')
      //this.resetKlaroCookie()

      this.klaroManager.resetConsent("/"); //bug? creates new cookie with open website path.

      //klaro.renderKlaro(undefined,true,false)
      klaro.show(undefined, false); //undefined, true
      /*
       console.log(this.klaroManager);
       klaro.initialize()
        console.log(this.klaroManager);
        */
    },
  },
};
</script>

<style></style>
